python-swiftclient (1:4.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop py3.12-Fix_call_assertion.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 17:11:43 +0100

python-swiftclient (1:4.4.0-4) unstable; urgency=medium

  * Add py3.12-Fix_call_assertion.patch (Closes: #1058186).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2023 17:05:43 +0100

python-swiftclient (1:4.4.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 17:09:23 +0200

python-swiftclient (1:4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 17:06:04 +0200

python-swiftclient (1:4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Sep 2023 08:53:16 +0200

python-swiftclient (1:4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 11:15:19 +0200

python-swiftclient (1:4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:25:29 +0200

python-swiftclient (1:4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:22:28 +0100

python-swiftclient (1:4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:43:34 +0200

python-swiftclient (1:4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 11:30:29 +0200

python-swiftclient (1:3.13.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 11:41:54 +0100

python-swiftclient (1:3.13.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Feb 2022 12:09:21 +0100

python-swiftclient (1:3.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:53:43 +0200

python-swiftclient (1:3.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Sep 2021 11:22:39 +0200

python-swiftclient (1:3.11.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Mar 2021 10:36:13 +0100

python-swiftclient (1:3.10.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 17:23:24 +0200

python-swiftclient (1:3.10.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:43:10 +0200

python-swiftclient (1:3.10.0-1) unstable; urgency=medium

  * New upstream release.
  * d/python3-swiftclient.pyremove: Remove useless "object" file.

 -- Ondřej Nový <onovy@debian.org>  Wed, 22 Jul 2020 10:34:09 +0200

python-swiftclient (1:3.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:40:11 +0200

python-swiftclient (1:3.9.0-1) experimental; urgency=medium

  * New upstream release.
  * d/pybuild.testfiles: Rename tests directory to test (as upstream).
  * Bump Standards-Version to 4.5.0.
  * Rules-Requires-Root: no.

 -- Ondřej Nový <onovy@debian.org>  Mon, 16 Mar 2020 12:10:32 +0100

python-swiftclient (1:3.8.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Bump Standards-Version to 4.4.1.

 -- Ondřej Nový <onovy@debian.org>  Sun, 20 Oct 2019 21:37:13 +0200

python-swiftclient (1:3.8.1-1) experimental; urgency=medium

  * New upstream release.
  * Running wrap-and-sort -bast.
  * d/copyright: Bump my copyright year.
  * Remove python3-oslosphinx from B-D, not needed anymore.

 -- Ondřej Nový <onovy@debian.org>  Mon, 16 Sep 2019 13:14:15 +0200

python-swiftclient (1:3.7.0-2) unstable; urgency=medium

  * Uploading to unstable
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Use pybuild for package building
  * Move python3-keystoneclient into Recommends
  * d/tests: Remove Python 2 tests and simplify Python 3

 -- Ondřej Nový <onovy@debian.org>  Wed, 17 Jul 2019 15:26:34 +0200

python-swiftclient (1:3.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Rename d/tests/control.autodep8 to d/tests/control.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.
  * Using installed python package for running unit tests.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Mar 2019 23:05:38 +0100

python-swiftclient (1:3.6.0-2) unstable; urgency=medium

  * Uploading to unstable
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Bump Standards-Version to 4.2.1

 -- Ondřej Nový <onovy@debian.org>  Wed, 05 Sep 2018 10:46:36 +0200

python-swiftclient (1:3.6.0-1) experimental; urgency=medium

  * New upstream release
  * Fix B-D for new upstream release

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Aug 2018 16:55:20 +0200

python-swiftclient (1:3.5.0-3) unstable; urgency=medium

  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/changelog: Remove empty line at end of file
  * Bump standards version to 4.1.2 (no changes)
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Mon, 20 Aug 2018 16:27:27 +0200

python-swiftclient (1:3.5.0-2) unstable; urgency=medium

  * Uploading to unstable
  * d/copyright: Bump my copyright year

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Feb 2018 10:47:29 +0100

python-swiftclient (1:3.5.0-1) experimental; urgency=medium

  * New upstream release
  * Change B-D for new upstream release
  * Standards-Version is 4.1.3 (no changes needed)
  * Bump debhelper compat level to 11
  * d/control: Set Vcs-* to salsa.debian.org
  * Use Python 3 Sphinx for building docs
  * Move docs to /usr/share/doc/python-swiftclient directory

 -- Ondřej Nový <onovy@debian.org>  Mon, 12 Feb 2018 10:53:06 +0100

python-swiftclient (1:3.4.0-3) unstable; urgency=medium

  [ Daniel Baumann ]
  * Non-maintainer upload.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Removed versions of (build-)depends that are available in Stretch.
  * Removed now useless Breask+Replaces in the -doc package.

 -- Thomas Goirand <zigo@debian.org>  Sat, 04 Nov 2017 22:26:50 +0000

python-swiftclient (1:3.4.0-2) experimental; urgency=medium

  * d/s/options: Remove extend-diff-ignore of .gitreview
  * d/copyright: Bump copyright years
  * Install AUTHORS file as docs
  * Add Python examples to doc package

 -- Ondřej Nový <onovy@debian.org>  Tue, 08 Aug 2017 00:38:56 +0200

python-swiftclient (1:3.4.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.

  [ Ondřej Nový ]
  * New upstream release
  * d/p/Require_futures_only_for_Python_2.patch: Drop, applied upstream

 -- Ondřej Nový <onovy@debian.org>  Mon, 07 Aug 2017 18:48:52 +0200

python-swiftclient (1:3.1.0-3) unstable; urgency=medium

  * Bumped debhelper version to 10
  * d/copyright: Fixed Apache-2 license text
  * Require futures only for Python 2
    (Added upstream patch, closes: #849453)
  * Bump required version of python-concurrent.futures,
    python{,3}-pkg-resources and python{,3}-setuptools

 -- Ondřej Nový <onovy@debian.org>  Wed, 28 Dec 2016 20:35:42 +0100

python-swiftclient (1:3.1.0-2) unstable; urgency=medium

  * Uploading to unstable
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <onovy@debian.org>  Fri, 23 Sep 2016 16:34:08 +0200

python-swiftclient (1:3.1.0-1) experimental; urgency=medium

  * New upstream release
  * Bumped required version of python-keystoneclient
  * Bumped required version of python-oslosphinx

 -- Ondřej Nový <onovy@debian.org>  Sat, 03 Sep 2016 11:54:41 +0200

python-swiftclient (1:3.0.0-4) unstable; urgency=medium

  * Use OSLO_PACKAGE_VERSION from openstack-pkg-tools
  * d/{control,copyright}: Use my @debian.org email address
  * Removed git from Build-Depends-Indep
  * Fixed executable flags for debian/* files
  * Use autopkgtest-pkg-python testsuite

 -- Ondřej Nový <onovy@debian.org>  Sat, 03 Sep 2016 11:33:07 +0200

python-swiftclient (1:3.0.0-3) unstable; urgency=medium

  * Standards-Version is 3.9.8 now (no change)
  * Change directory to $ADTTMP before running Debian tests
  * d/copyright: Changed source URL to https protocol
  * Changed -doc depends from ${python3:Depends} to ${sphinxdoc:Depends}

 -- Ondřej Nový <novy@ondrej.org>  Thu, 02 Jun 2016 16:36:56 +0200

python-swiftclient (1:3.0.0-2) unstable; urgency=medium

  * Added git to Build-Depends-Indep

 -- Ondřej Nový <novy@ondrej.org>  Wed, 06 Apr 2016 11:21:52 +0200

python-swiftclient (1:3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Removed python(3)-testtools build dependency
  * Removed patch
    Stop-passing-attr-to-keystoneclient-when-there-s-no-filter_value.patch
    (Applied upstream)

 -- Ondřej Nový <novy@ondrej.org>  Tue, 05 Apr 2016 20:35:22 +0200

python-swiftclient (1:2.7.0-3) unstable; urgency=medium

  * Uploading to unstable
  * Fixed hardcoded Python 2.7 version when running unit tests

 -- Ondřej Nový <novy@ondrej.org>  Mon, 04 Apr 2016 18:56:07 +0200

python-swiftclient (1:2.7.0-2) experimental; urgency=medium

  [ Ondřej Nový ]
  * Watch file fixed.
  * Debian tests fixies.
  * Standards-Version is 3.9.7 now (no change).
  * Fixed Vcs URLs.

  [ Thomas Goirand ]
  * Added patch:
    Stop-passing-attr-to-keystoneclient-when-there-s-no-filter_value.patch

 -- Ondřej Nový <novy@ondrej.org>  Wed, 02 Mar 2016 16:16:18 +0100

python-swiftclient (1:2.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * New upstream release.
  * Added myself as uploader.
  * Moved man page from python-swiftclient-doc package to base packages.
  * Removed python-pbr dependency.

  [ Thomas Goirand ]
  * Fixed debian/copyright.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jan 2016 03:00:26 +0000

python-swiftclient (1:2.6.0-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:53:41 +0000

python-swiftclient (1:2.6.0-2) unstable; urgency=medium

  [ Ivan Udovichenko ]
  * d/control: Remove unnecessary dependency - python-simplejson [1].
    [1] Commit: 317df7e527c174695e184f8250f5f743ac91f0f2

  [ James Page ]
  * d/py3dist-overrides: Ignore futures requirement for py3.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:47:42 +0000

python-swiftclient (1:2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align dependencies and versions with upstream.
  * d/patches: Dropped. Remaining patch fixed upstream.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Sep 2015 14:54:41 -0400

python-swiftclient (1:2.4.0-5) experimental; urgency=medium

  * Team upload.
  * d/control,d/tests: Add autopkgtests from Ubuntu.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jul 2015 08:58:58 +0100

python-swiftclient (1:2.4.0-4) experimental; urgency=medium

  * Team upload.
  * d/p/multithreading-fixes.patch: Cherry pick fixes related to py3
    unit test failures from upstream VCS.

 -- James Page <james.page@ubuntu.com>  Fri, 10 Jul 2015 09:17:01 +0100

python-swiftclient (1:2.4.0-3) experimental; urgency=medium

  * Added Breaks: + Replaces: of python-swiftclient in python-swiftclient-doc
    because the -doc package now contains the swift man page (Closes: #789668).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 15:44:59 +0200

python-swiftclient (1:2.4.0-2) experimental; urgency=medium

  * Added dependency on python-pkg-resources (Closes: #789685).

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jun 2015 23:02:54 +0200

python-swiftclient (1:2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Sun, 19 Apr 2015 19:12:15 +0200

python-swiftclient (1:2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Standards-Version is now 3.9.6 (no change).

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Oct 2014 23:52:32 +0800

python-swiftclient (1:2.3.0-1) experimental; urgency=medium

  [ Thomas Bechtold ]
  * debian/watch: Use github tags.

  [ Thomas Goirand ]
  * New upstream release.
  * Updated (build-)depends for this release.
  * Removed manpage patch applied upstream.
  * Using testr and subunit correctly.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Sep 2014 22:31:55 +0800

python-swiftclient (1:2.0.2-1) unstable; urgency=high

  * New upstream release (Closes: #730626).
  * Reviewed build-dependency for the new upstream release.
  * Standards-Version: is now 3.9.5.
  * Also builds the sphinx doc and package manpage.
  * Adds patch to fix manpage.

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 Feb 2014 11:03:09 +0800

python-swiftclient (1:1.6.0-2) unstable; urgency=low

  * Added missing build-depends: python-d2to1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 09:47:14 +0000

python-swiftclient (1:1.6.0-1) unstable; urgency=low

  * New upstream release.
  * Removes now obsolete patch for OSLO version.
  * Now using testrepository for the unit testing.
  * Updated (build-)dependencies.
  * Canonical VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Sep 2013 14:03:08 +0800

python-swiftclient (1:1.4.0-2) unstable; urgency=low

  * Ran wrap-and-sort.
  * Fixed a typo in the short description (Closes: #710546) thanks to Pascal
    De Vuyst for reporting it.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 May 2013 14:10:59 +0800

python-swiftclient (1:1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2013 10:25:04 +0000

python-swiftclient (1:1.3.0-1) experimental; urgency=low

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2013 19:26:10 +0800

python-swiftclient (1:1.2.0+git1.2be776c2-1) experimental; urgency=low

  * New snapshot release
  * Add depend on python-keystoneclient
  * Now using openstack-pkg-tools for the debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Dec 2012 14:39:57 +0000

python-swiftclient (1:1.2.0-1) experimental; urgency=low

  * New upstream version

 -- Mehdi Abaakouk <sileht@sileht.net>  Sat, 29 Sep 2012 09:13:34 +0200

python-swiftclient (1:1.1.1-1) experimental; urgency=low

  * Initial debian release (Closes: #687415)

 -- Mehdi Abaakouk <sileht@sileht.net>  Wed, 12 Sep 2012 15:51:39 +0200

python-swiftclient (1:1.1.1-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * Initial release.

  [ Chuck Short ]
  * debian/watch: Added
  * debian/rules: Download tarball from regular places.
  * Update changelog
  * debian/control: Add python-eventlet as a build depends.
  * debian/rules: Enabled changelog.
  * debian/copyright: Update format.

 -- Adam Gandelman <adamg@canonical.com>  Wed, 06 Jun 2012 12:54:56 -0700
